PLARC(3)

NAME
plarc - Draw a circular or elliptical arc

SYNOPSIS
plarc(x, y, a, b, angle1, angle2, rotate, fill)

DESCRIPTION

Draw a possibly filled arc centered at x, y with semimajor axis a and semiminor axis b, starting at angle1 and ending at angle2.

Redacted form: General: plarc(x, y, a, b, angle1, angle2, rotate, fill)

This function is used in examples 3 and 27.

ARGUMENTS

x (PLFLT(3), input)
    X coordinate of arc center.

y (PLFLT(3), input)
    Y coordinate of arc center.

a (PLFLT(3), input)
    Length of the semimajor axis of the arc.

b (PLFLT(3), input)
    Length of the semiminor axis of the arc.

angle1 (PLFLT(3), input)
    Starting angle of the arc relative to the semimajor axis.

angle2 (PLFLT(3), input)
    Ending angle of the arc relative to the semimajor axis.

rotate (PLFLT(3), input)
    Angle of the semimajor axis relative to the X-axis.

fill (PLBOOL(3), input)
    Draw a filled arc.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.